### Constructor

# Handy Avatar new

since: 1.0

#### Declaration [src]

    GtkWidget*
    hdy_avatar_new (
      gint size,
      const gchar* text,
      gboolean show_initials
    )

#### Description [src]

Creates a new `HdyAvatar`.

Available since: 1.0

#### Parameters

`size`

  Type: `gint`

  The size of the avatar.

`text`

  Type: `const gchar*`

  The text used to get the initials and color.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`show_initials`

  Type: `gboolean`

  Whether to use initials instead of an icon as fallback.

#### Return value

Type: `GtkWidget`

The newly created `HdyAvatar`.

The data is owned by the called function.